# SwissQR class

SwissQR

Inheritance
  - Object
  - GenericDocumentWrapper
  - SwissQR

## Constructors

SwissQR(GenericDocument document)

## Properties

additionalBillingInformation → TextFieldWrapper?
  Additional Billing Information
  no setter
additionalInfoTrailer → TextFieldWrapper?
  Additional Info Trailer
  no setter
additionalInfoUnstructured → TextFieldWrapper?
  Additional Info Unstructured
  no setter
alternativeProcedureParameter → TextFieldWrapper?
  Alternative Procedure Parameter
  no setter
amount → TextFieldWrapper?
  Amount
  no setter
currency → TextFieldWrapper?
  Currency
  no setter
debtorAddressType → TextFieldWrapper?
  Debtor Address Type
  no setter
debtorBuildingOrAddressLine2 → TextFieldWrapper?
  Debtor Building Or Address Line 2
  no setter
debtorCountry → TextFieldWrapper?
  Debtor Country
  no setter
debtorName → TextFieldWrapper?
  Debtor Name
  no setter
debtorPlace → TextFieldWrapper?
  Debtor Place
  no setter
debtorPostalCode → TextFieldWrapper?
  Debtor Postal Code
  no setter
debtorStreetOrAddressLine1 → TextFieldWrapper?
  Debtor Street Or Address Line 1
  no setter
document → GenericDocument
  final inherited
dueDate → TextFieldWrapper?
  Due Date
  no setter
encoding → TextFieldWrapper?
  Encoding
  no setter
finalPayeeAddressType → TextFieldWrapper?
  Final Payee Address Type
  no setter
finalPayeeBuildingOrAddressLine2 → TextFieldWrapper?
  Final Payee Building Or Address Line 2
  no setter
finalPayeeCountry → TextFieldWrapper?
  Final Payee Country
  no setter
finalPayeeName → TextFieldWrapper?
  Final Payee Name
  no setter
finalPayeePlace → TextFieldWrapper?
  Final Payee Place
  no setter
finalPayeePostalCode → TextFieldWrapper?
  Final Payee Postal Code
  no setter
finalPayeeStreetOrAddressLine1 → TextFieldWrapper?
  Final Payee Street Or Address Line 1
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
iban → TextFieldWrapper?
  IBAN
  no setter
majorVersion → TextFieldWrapper
  Major Version
  no setter
payeeAddressType → TextFieldWrapper?
  Payee Address Type
  no setter
payeeBuildingOrAddressLine2 → TextFieldWrapper?
  Payee Building Or Address Line 2
  no setter
payeeCountry → TextFieldWrapper?
  Payee Country
  no setter
payeeName → TextFieldWrapper?
  Payee Name
  no setter
payeePlace → TextFieldWrapper?
  Payee Place
  no setter
payeePostalCode → TextFieldWrapper?
  Payee Postal Code
  no setter
payeeStreetOrAddressLine1 → TextFieldWrapper?
  Payee Street Or Address Line 1
  no setter
paymentReference → TextFieldWrapper?
  Payment Reference
  no setter
paymentReferenceType → TextFieldWrapper?
  Payment Reference Type
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.